[BACK]Return to monthly CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / src / etc

File: [cvs.NetBSD.org] / src / etc / monthly (download)

Revision 1.11, Wed Jun 6 13:30:47 2007 UTC (12 years, 6 months ago) by martti
Branch: MAIN
CVS Tags: yamt-pf42-baseX, yamt-pf42-base4, yamt-pf42-base3, yamt-pf42-base2, yamt-pf42-base, yamt-pf42, wrstuden-revivesa-base-3, wrstuden-revivesa-base-2, wrstuden-revivesa-base-1, wrstuden-revivesa-base, wrstuden-revivesa, netbsd-5-base, netbsd-5-2-RELEASE, netbsd-5-2-RC1, netbsd-5-2-3-RELEASE, netbsd-5-2-2-RELEASE, netbsd-5-2-1-RELEASE, netbsd-5-2, netbsd-5-1-RELEASE, netbsd-5-1-RC4, netbsd-5-1-RC3, netbsd-5-1-RC2, netbsd-5-1-RC1, netbsd-5-1-5-RELEASE, netbsd-5-1-4-RELEASE, netbsd-5-1-3-RELEASE, netbsd-5-1-2-RELEASE, netbsd-5-1-1-RELEASE, netbsd-5-1, netbsd-5-0-RELEASE, netbsd-5-0-RC4, netbsd-5-0-RC3, netbsd-5-0-RC2, netbsd-5-0-RC1, netbsd-5-0-2-RELEASE, netbsd-5-0-1-RELEASE, netbsd-5-0, netbsd-5, mjf-devfs2-base2, mjf-devfs2-base, mjf-devfs2, mjf-devfs-base, mjf-devfs, matt-premerge-20091211, matt-nb5-pq3-base, matt-nb5-pq3, matt-nb5-mips64-u2-k2-k4-k7-k8-k9, matt-nb5-mips64-u1-k1-k5, matt-nb5-mips64-premerge-20101231, matt-nb5-mips64-premerge-20091211, matt-nb5-mips64-k15, matt-nb5-mips64, matt-nb4-mips64-k7-u2a-k9b, matt-mips64-base2, matt-mips64-base, matt-mips64, matt-armv6-prevmlocking, matt-armv6-nbase, matt-armv6-base, matt-armv6, keiichi-mipv6-base, keiichi-mipv6, jym-xensuspend-nbase, jym-xensuspend-base, jym-xensuspend, hpcarm-cleanup-nbase, hpcarm-cleanup-base, hpcarm-cleanup, cube-autoconf-base, cube-autoconf
Changes since 1.10: +2 -2 lines

Use "mktemp -d -t xxx" to create the temporary directories. This will use
TMPDIR environment variable if set, otherwise use /tmp.  (misc/35544)

#!/bin/sh -
#
#	$NetBSD: monthly,v 1.11 2007/06/06 13:30:47 martti Exp $
#	from: @(#)monthly	8.1 (Berkeley) 6/9/93
#

export PATH=/bin:/usr/bin:/sbin:/usr/sbin
umask 077

if [ -s /etc/monthly.conf ]; then
	. /etc/monthly.conf
fi

host=`hostname`
date=`date`
rcvar_manpage='monthly.conf(5)'

echo "To: ${MAILTO:-root}"
echo "Subject: $host monthly output for $date"
echo ""

MONTHLYDIR=$(mktemp -d -t _monthly) || exit 1

trap "/bin/rm -rf $MONTHLYDIR ; exit 0" EXIT INT QUIT PIPE

if ! cd "$MONTHLYDIR"; then
	echo "Can not cd to $MONTHLYDIR".
	exit 1
fi

TMP=monthly.$$

# echo ""
# echo "Doing login accounting:"
# ac -p | sort -nr +1

if [ -f /etc/monthly.local ]; then
	. /etc/monthly.local > $TMP 2>&1
	if [ -s $TMP ] ; then
		printf "\nRunning /etc/monthly.local:\n"
		cat $TMP
	fi
	rm -f $TMP
fi